/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
'use strict';
var assert = require('assert');
var vscode_1 = require('vscode');
suite("commands namespace tests", function () {
    test('getCommands', function (done) {
        var p1 = vscode_1.commands.getCommands().then(function (commands) {
            var hasOneWithUnderscore = false;
            for (var _i = 0; _i < commands.length; _i++) {
                var command = commands[_i];
                if (command[0] === '_') {
                    hasOneWithUnderscore = true;
                    break;
                }
            }
            assert.ok(hasOneWithUnderscore);
        }, done);
        var p2 = vscode_1.commands.getCommands(true).then(function (commands) {
            var hasOneWithUnderscore = false;
            for (var _i = 0; _i < commands.length; _i++) {
                var command = commands[_i];
                if (command[0] === '_') {
                    hasOneWithUnderscore = true;
                    break;
                }
            }
            assert.ok(!hasOneWithUnderscore);
        }, done);
        Promise.all([p1, p2]).then(function () {
            done();
        }, done);
    });
});
//# sourceMappingURL=commands.test.js.map