/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
'use strict';
var assert = require('assert');
var vscode_1 = require('vscode');
var path_1 = require('path');
var utils_1 = require('./utils');
suite("window namespace tests", function () {
    teardown(utils_1.cleanUp);
    test('active text editor', function () {
        return vscode_1.workspace.openTextDocument(path_1.join(vscode_1.workspace.rootPath, './far.js')).then(function (doc) {
            return vscode_1.window.showTextDocument(doc).then(function (editor) {
                var active = vscode_1.window.activeTextEditor;
                assert.ok(active);
                assert.ok(utils_1.pathEquals(active.document.uri.fsPath, doc.uri.fsPath));
            });
        });
    });
});
//# sourceMappingURL=window.test.js.map