/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
"use strict";define("vs/languages/css/common/cssTokenTypes",["require","exports"],function(e,t){t.TOKEN_SELECTOR="entity.name.selector",t.TOKEN_SELECTOR_TAG="entity.name.tag",t.TOKEN_PROPERTY="support.type.property-name",t.TOKEN_VALUE="support.property-value",t.TOKEN_AT_KEYWORD="keyword.control.at-rule"});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,r){if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)return Reflect.decorate(e,t,n,r);switch(arguments.length){case 2:return e.reduceRight(function(e,t){return t&&t(e)||e},t);case 3:return e.reduceRight(function(e,r){return void(r&&r(t,n))},void 0);case 4:return e.reduceRight(function(e,r){return r&&r(t,n,e)||e},r)}},__param=this&&this.__param||function(e,t){return function(n,r){t(n,r,e)}};define("vs/languages/css/common/css",["require","exports","vs/editor/common/modes/supports","vs/base/common/objects","vs/editor/common/modes","vs/platform/thread/common/threadService","vs/languages/css/common/cssTokenTypes","vs/editor/common/modes/abstractMode","vs/editor/common/modes/abstractState","vs/platform/instantiation/common/descriptors","vs/editor/common/modes/supports/onEnter","vs/platform/instantiation/common/instantiation","vs/platform/thread/common/thread"],function(e,t,n,r,o,s,i,c,a,u,p,l,f){t.cssTokenTypes=i,function(e){e[e.Selector=0]="Selector",e[e.Rule=1]="Rule",e[e.Value=2]="Value",e[e.ValuePostUrl=3]="ValuePostUrl",e[e.ValueInUrlFunction=4]="ValueInUrlFunction",e[e.Unit=5]="Unit",e[e.Meta=6]="Meta",e[e.MetaPostUrl=7]="MetaPostUrl",e[e.MetaInUrlFunction=8]="MetaInUrlFunction"}(t.States||(t.States={}));var d=t.States,m=/^-?-?([a-zA-Z]|(\\(([0-9a-fA-F]{1,6}\s?)|[^[0-9a-fA-F])))([\w\-]|(\\(([0-9a-fA-F]{1,6}\s?)|[^[0-9a-fA-F])))*/,k=function(e){function t(t,n,r,o,s,i){e.call(this,t),this.kind=n,this.inComment=r,this.quote=o,this.inMeta=s,this.metaBraceCount=i}return __extends(t,e),t.prototype.nextState=function(e,t){return this.kind=e,t},t.prototype.makeClone=function(){return new t(this.getMode(),this.kind,this.inComment,this.quote,this.inMeta,this.metaBraceCount)},t.prototype.equals=function(t){return e.prototype.equals.call(this,t)&&r.equals(this,t)},t.prototype.tokenizeInComment=function(e){return/\*\/$/.test(e.advanceUntilString("*/",!0))&&(this.inComment=!1),{type:"comment.css"}},t.prototype.tokenizeInString=function(e){for(var t,n=!1,r=this.quote;!e.eos();)if(t=e.next(),n)n=!1;else if("\\"===t)n=!0;else if(t===r){this.quote=null;break}return{type:"string.css"}},t.prototype.consumeIdent=function(e){return e.goBack(1),e.advanceIfRegExp2(m)?!0:(e.advance(1),!1)},t.prototype.tokenize=function(e){if(this.inComment)return this.tokenizeInComment(e);if(null!==this.quote)return this.tokenizeInString(e);if(e.skipWhitespace2())return{type:""};if(e.advanceIfString2("/*"))return this.inComment=!0,this.tokenizeInComment(e);if(e.advanceIfString2("'"))return this.quote="'",this.tokenizeInString(e);if(e.advanceIfString2('"'))return this.quote='"',this.tokenizeInString(e);var t=e.next();switch(this.kind){case d.ValuePostUrl:if("("===t)return this.nextState(d.ValueInUrlFunction,{type:"punctuation.parenthesis.css",bracket:o.Bracket.Open});this.kind=d.Value;break;case d.MetaPostUrl:if("("===t)return this.nextState(d.MetaInUrlFunction,{type:"punctuation.parenthesis.css",bracket:o.Bracket.Open});this.kind=d.Meta;break;case d.ValueInUrlFunction:case d.MetaInUrlFunction:if(")"!==t)return e.advanceIfRegExp2(/^[^\)]*/),{type:"string.css"};this.kind=this.kind===d.ValueInUrlFunction?d.Value:d.Meta}switch(this.kind){case d.Selector:return"{"===t?this.nextState(d.Rule,{type:"punctuation.bracket.css",bracket:o.Bracket.Open}):"("===t||")"===t?{type:"punctuation.parenthesis.css",bracket:"("===t?o.Bracket.Open:o.Bracket.Close}:"@"!==t||this.inMeta?"}"===t&&this.inMeta?(this.inMeta=!1,this.nextState(d.Selector,{type:"punctuation.bracket.css",bracket:o.Bracket.Close})):/[\*\(\)\[\]\+>=\~\|;]/.test(t)?{type:"punctuation.css"}:"#"===t?(e.advanceIfRegExp2(m),{type:i.TOKEN_SELECTOR+".id.css"}):"."===t?(e.advanceIfRegExp2(m),{type:i.TOKEN_SELECTOR+".class.css"}):(this.consumeIdent(e),{type:i.TOKEN_SELECTOR_TAG+".css"}):(e.advanceIfRegExp2(m),this.nextState(d.Meta,{type:i.TOKEN_AT_KEYWORD+".css"}));case d.Meta:if("{"===t){var n=d.Rule;return this.inMeta&&(n=d.Selector),this.nextState(n,{type:"punctuation.bracket.css",bracket:o.Bracket.Open})}return"("===t||")"===t?{type:"punctuation.parenthesis.css",bracket:"("===t?o.Bracket.Open:o.Bracket.Close}:";"===t?(0===this.metaBraceCount&&(this.inMeta=!1),this.nextState(d.Selector,{type:"punctuation.css"})):"u"!==t&&"U"!==t||!e.advanceIfStringCaseInsensitive2("rl")?/[\*\(\)\[\]\+>=\~\|]/.test(t)?{type:"punctuation.css"}:(this.inMeta=!0,this.consumeIdent(e),{type:i.TOKEN_VALUE+".css"}):(e.advanceIfStringCaseInsensitive2("-prefix"),this.nextState(d.MetaPostUrl,{type:i.TOKEN_VALUE+".css"}));case d.Rule:return"}"===t?this.nextState(d.Selector,{type:"punctuation.bracket.css",bracket:o.Bracket.Close}):":"===t?this.nextState(d.Value,{type:"punctuation.css"}):"("===t||")"===t?{type:"punctuation.parenthesis.css",bracket:"("===t?o.Bracket.Open:o.Bracket.Close}:(this.consumeIdent(e),{type:i.TOKEN_PROPERTY+".css"});case d.Value:if("}"===t)return this.nextState(d.Selector,{type:"punctuation.bracket.css",bracket:o.Bracket.Close});if(";"===t)return this.nextState(d.Rule,{type:"punctuation.css"});if(("u"===t||"U"===t)&&e.advanceIfStringCaseInsensitive2("rl"))return this.nextState(d.ValuePostUrl,{type:i.TOKEN_VALUE+".css"});if("("===t||")"===t)return{type:"punctuation.parenthesis.css",bracket:"("===t?o.Bracket.Open:o.Bracket.Close};if(","===t)return{type:"punctuation.css"};if("#"===t)return e.advanceIfRegExp2(/^[\w]*/),{type:i.TOKEN_VALUE+".hex.css"};if(/\d/.test(t)||/-|\+/.test(t)&&!e.eos()&&/\d/.test(e.peek()))return e.advanceIfRegExp2(/^[\d\.]*/),this.nextState(d.Unit,{type:i.TOKEN_VALUE+".numeric.css"});if("!"===t)return{type:i.TOKEN_VALUE+".keyword.css"};if(("i"===t||"I"===t)&&e.advanceIfStringCaseInsensitive2("mportant"))return{type:i.TOKEN_VALUE+".keyword.css"};if(this.consumeIdent(e))return{type:i.TOKEN_VALUE+".css"};break;case d.Unit:return e.goBack(1),e.advanceIfRegExp2(/^(em|ex|ch|rem|vw|vh|vm|cm|mm|in|px|pt|pc|deg|grad|rad|turn|s|ms|Hz|kHz|%)/)?{type:i.TOKEN_VALUE+".unit.css"}:(this.nextState(d.Value,null),this.tokenize(e))}return{type:""}},t}(a.AbstractState);t.State=k;var h=function(e){function t(t,r,o){var s=this;e.call(this,t,r,o),this.tokenizationSupport=new n.TokenizationSupport(this,{getInitialState:function(){return new k(s,d.Selector,!1,null,!1,0)}},!1,!1),this.electricCharacterSupport=new n.BracketElectricCharacterSupport(this,{brackets:[{tokenType:"punctuation.bracket.css",open:"{",close:"}",isElectric:!0}]}),this.extraInfoSupport=this,this.referenceSupport=new n.ReferenceSupport(this,{tokens:[i.TOKEN_PROPERTY+".css",i.TOKEN_VALUE+".css",i.TOKEN_SELECTOR_TAG+".css"],findReferences:function(e,t,n){return s.findReferences(e,t)}}),this.logicalSelectionSupport=this,this.outlineSupport=this,this.declarationSupport=new n.DeclarationSupport(this,{tokens:[i.TOKEN_VALUE+".css"],findDeclaration:function(e,t){return s.findDeclaration(e,t)}}),this.characterPairSupport=new n.CharacterPairSupport(this,{autoClosingPairs:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"},{open:'"',close:'"',notIn:["string"]},{open:"'",close:"'",notIn:["string"]}]}),this.suggestSupport=new n.SuggestSupport(this,{triggerCharacters:[" ",":"],excludeTokens:["comment.css","string.css"],suggest:function(e,t){return s.suggest(e,t)}}),this.onEnterSupport=new p.OnEnterSupport(this.getId(),{brackets:[{open:"(",close:")"},{open:"{",close:"}"},{open:"[",close:"]"}]}),this.quickFixSupport=this}return __extends(t,e),t.prototype._getWorkerDescriptor=function(){return u.createAsyncDescriptor2("vs/languages/css/common/cssWorker","CSSWorker")},t.prototype.findDeclaration=function(e,t){return this._worker(function(n){return n.findDeclaration(e,t)})},t.prototype.computeInfo=function(e,t){return this._worker(function(n){return n.computeInfo(e,t)})},t.prototype.findReferences=function(e,t){return this._worker(function(n){return n.findReferences(e,t)})},t.prototype.getRangesToPosition=function(e,t){return this._worker(function(n){return n.getRangesToPosition(e,t)})},t.prototype.getOutline=function(e){return this._worker(function(t){return t.getOutline(e)})},t.prototype.getCommentsConfiguration=function(){return{blockCommentStartToken:"/*",blockCommentEndToken:"*/"}},t.prototype.getWordDefinition=function(){return/(#?-?\d*\.\d\w*%?)|((::|[@#.!:])?[\w-?]+%?)|::|[@#.!:]/g},t.prototype.findColorDeclarations=function(e){return this._worker(function(t){return t.findColorDeclarations(e)})},t.prototype.getQuickFixes=function(e,t){return this._worker(function(n){return n.getQuickFixes(e,t)})},t.prototype.runQuickFixAction=function(e,t,n){return this._worker(function(r){return r.runQuickFixAction(e,t,n)})},t.$findDeclaration=s.OneWorkerAttr(t,t.prototype.findDeclaration),t.$computeInfo=s.OneWorkerAttr(t,t.prototype.computeInfo),t.$findReferences=s.OneWorkerAttr(t,t.prototype.findReferences),t.$getRangesToPosition=s.OneWorkerAttr(t,t.prototype.getRangesToPosition),t.$getOutline=s.OneWorkerAttr(t,t.prototype.getOutline),t.$findColorDeclarations=s.OneWorkerAttr(t,t.prototype.findColorDeclarations),t.getQuickFixes=s.OneWorkerAttr(t,t.prototype.getQuickFixes),t.runQuickFixAction=s.OneWorkerAttr(t,t.prototype.runQuickFixAction),t=__decorate([__param(1,l.IInstantiationService),__param(2,f.IThreadService)],t)}(c.AbstractMode);t.CSSMode=h});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,r){if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)return Reflect.decorate(e,t,n,r);switch(arguments.length){case 2:return e.reduceRight(function(e,t){return t&&t(e)||e},t);case 3:return e.reduceRight(function(e,r){return void(r&&r(t,n))},void 0);case 4:return e.reduceRight(function(e,r){return r&&r(t,n,e)||e},r)}},__param=this&&this.__param||function(e,t){return function(n,r){t(n,r,e)}};define("vs/languages/less/common/less",["require","exports","vs/base/common/winjs.base","vs/editor/common/modes/monarch/monarch","vs/editor/common/modes/monarch/monarchCompile","vs/languages/css/common/css","vs/editor/common/modes/supports","vs/platform/thread/common/threadService","vs/platform/instantiation/common/descriptors","vs/editor/common/services/modeService","vs/platform/instantiation/common/instantiation","vs/platform/thread/common/thread","vs/editor/common/services/modelService"],function(e,t,n,r,o,s,i,c,a,u,p,l,f){t.language={displayName:"LESS",name:"less",wordDefinition:/(#?-?\d*\.\d\w*%?)|([@#!.:]?[\w-?]+%?)|[@#!.]/g,defaultToken:"",lineComment:"//",blockCommentStart:"/*",blockCommentEnd:"*/",identifier:"-?-?([a-zA-Z]|(\\\\(([0-9a-fA-F]{1,6}\\s?)|[^[0-9a-fA-F])))([\\w\\-]|(\\\\(([0-9a-fA-F]{1,6}\\s?)|[^[0-9a-fA-F])))*",identifierPlus:"-?-?([a-zA-Z:.]|(\\\\(([0-9a-fA-F]{1,6}\\s?)|[^[0-9a-fA-F])))([\\w\\-:.]|(\\\\(([0-9a-fA-F]{1,6}\\s?)|[^[0-9a-fA-F])))*",brackets:[{open:"{",close:"}",token:"punctuation.curly"},{open:"[",close:"]",token:"punctuation.bracket"},{open:"(",close:")",token:"punctuation.parenthesis"},{open:"<",close:">",token:"punctuation.angle"}],tokenizer:{root:[{include:"@nestedJSBegin"},["[ \\t\\r\\n]+",""],{include:"@comments"},{include:"@keyword"},{include:"@strings"},{include:"@numbers"},["[*_]?[a-zA-Z\\-\\s]+(?=:.*(;|(\\\\$)))",s.cssTokenTypes.TOKEN_PROPERTY,"@attribute"],["url(\\-prefix)?\\(",{token:"function",bracket:"@open",next:"@urldeclaration"}],["[{}()\\[\\]]","@brackets"],["[,:;]","punctuation"],["#@identifierPlus",s.cssTokenTypes.TOKEN_SELECTOR+".id"],["&",s.cssTokenTypes.TOKEN_SELECTOR_TAG],["\\.@identifierPlus(?=\\()",s.cssTokenTypes.TOKEN_SELECTOR+".class","@attribute"],["\\.@identifierPlus",s.cssTokenTypes.TOKEN_SELECTOR+".class"],["@identifierPlus",s.cssTokenTypes.TOKEN_SELECTOR_TAG],{include:"@operators"},["@(@identifier(?=[:,\\)]))","variable","@attribute"],["@(@identifier)","variable"],["@","key","@atRules"]],nestedJSBegin:[["``","punctuation.backtick"],["`",{token:"punctuation.backtick",bracket:"@open",next:"@nestedJSEnd",nextEmbedded:"text/javascript"}]],nestedJSEnd:[["`",{token:"punctuation.backtick",bracket:"@close",next:"@pop"}],[".",{token:"@rematch",next:"@javascript_block"}]],javascript_block:[["`",{token:"@rematch",next:"@pop",nextEmbedded:"@pop"}]],operators:[["[<>=\\+\\-\\*\\/\\^\\|\\~]","operator"]],keyword:[["(@[\\s]*import|![\\s]*important|true|false|when|iscolor|isnumber|isstring|iskeyword|isurl|ispixel|ispercentage|isem|hue|saturation|lightness|alpha|lighten|darken|saturate|desaturate|fadein|fadeout|fade|spin|mix|round|ceil|floor|percentage)\\b","keyword"]],urldeclaration:[{include:"@strings"},["[^)\r\n]+","string"],["\\)",{token:"tag",bracket:"@close",next:"@pop"}]],attribute:[{include:"@nestedJSBegin"},{include:"@comments"},{include:"@strings"},{include:"@numbers"},{include:"@keyword"},["[a-zA-Z\\-]+(?=\\()",s.cssTokenTypes.TOKEN_VALUE,"@attribute"],[">","operator","@pop"],["@identifier",s.cssTokenTypes.TOKEN_VALUE],{include:"@operators"},["@(@identifier)","variable"],["[)\\}]","@brackets","@pop"],["[{}()\\[\\]>]","@brackets"],["[;]","punctuation","@pop"],["[,=:]","punctuation"],["\\s",""],[".",s.cssTokenTypes.TOKEN_VALUE]],comments:[["\\/\\*","comment","@comment"],["\\/\\/+.*","comment"]],comment:[["\\*\\/","comment","@pop"],[".","comment"]],numbers:[["(\\d*\\.)?\\d+([eE][\\-+]?\\d+)?",{token:s.cssTokenTypes.TOKEN_VALUE+".numeric",next:"@units"}],["#[0-9a-fA-F_]+(?!\\w)",s.cssTokenTypes.TOKEN_VALUE+".rgb-value"]],units:[["((em|ex|ch|rem|vw|vh|vm|cm|mm|in|px|pt|pc|deg|grad|rad|turn|s|ms|Hz|kHz|%)\\b)?",s.cssTokenTypes.TOKEN_VALUE+".unit","@pop"]],strings:[['~?"',{token:"string.punctuation",bracket:"@open",next:"@stringsEndDoubleQuote"}],["~?'",{token:"string.punctuation",bracket:"@open",next:"@stringsEndQuote"}]],stringsEndDoubleQuote:[['\\\\"',"string"],['"',{token:"string.punctuation",next:"@popall",bracket:"@close"}],[".","string"]],stringsEndQuote:[["\\\\'","string"],["'",{token:"string.punctuation",next:"@popall",bracket:"@close"}],[".","string"]],atRules:[{include:"@comments"},{include:"@strings"},["[()]","punctuation"],["[\\{;]","punctuation","@pop"],[".","key"]]}};var d=function(e){function r(n,r,c,a,u){var p=this;e.call(this,n,o.compile(t.language),r,c,a,u),this.modeService=a,this.extraInfoSupport=this,this.referenceSupport=new i.ReferenceSupport(this,{tokens:[s.cssTokenTypes.TOKEN_PROPERTY+".less",s.cssTokenTypes.TOKEN_VALUE+".less","variable.less",s.cssTokenTypes.TOKEN_SELECTOR+".class.less",s.cssTokenTypes.TOKEN_SELECTOR+".id.less","selector.less"],findReferences:function(e,t,n){return p.findReferences(e,t)}}),this.logicalSelectionSupport=this,this.declarationSupport=new i.DeclarationSupport(this,{tokens:["variable.less",s.cssTokenTypes.TOKEN_SELECTOR+".class.less",s.cssTokenTypes.TOKEN_SELECTOR+".id.less","selector.less"],findDeclaration:function(e,t){return p.findDeclaration(e,t)}}),this.outlineSupport=this,this.suggestSupport=new i.SuggestSupport(this,{triggerCharacters:[],excludeTokens:["comment.less","string.less"],suggest:function(e,t){return p.suggest(e,t)}})}return __extends(r,e),r.prototype._getWorkerDescriptor=function(){return a.createAsyncDescriptor2("vs/languages/less/common/lessWorker","LessWorker")},r.prototype._worker=function(t){var r=this;return this.modeService.getOrCreateMode("css").then(function(e){return e._worker(function(e){return n.TPromise.as(!0)})}).then(function(){return e.prototype._worker.call(r,t)})},r.prototype.findReferences=function(e,t){return this._worker(function(n){return n.findReferences(e,t)})},r.prototype.getRangesToPosition=function(e,t){return this._worker(function(n){return n.getRangesToPosition(e,t)})},r.prototype.computeInfo=function(e,t){return this._worker(function(n){return n.computeInfo(e,t)})},r.prototype.getOutline=function(e){return this._worker(function(t){return t.getOutline(e)})},r.prototype.findDeclaration=function(e,t){return this._worker(function(n){return n.findDeclaration(e,t)})},r.prototype.findColorDeclarations=function(e){return this._worker(function(t){return t.findColorDeclarations(e)})},r.$findReferences=c.OneWorkerAttr(r,r.prototype.findReferences),r.$getRangesToPosition=c.OneWorkerAttr(r,r.prototype.getRangesToPosition),r.$computeInfo=c.OneWorkerAttr(r,r.prototype.computeInfo),r.$getOutline=c.OneWorkerAttr(r,r.prototype.getOutline),r.$findDeclaration=c.OneWorkerAttr(r,r.prototype.findDeclaration),r.$findColorDeclarations=c.OneWorkerAttr(r,r.prototype.findColorDeclarations),r=__decorate([__param(1,p.IInstantiationService),__param(2,l.IThreadService),__param(3,u.IModeService),__param(4,f.IModelService)],r)}(r.MonarchMode);t.LESSMode=d});