/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
"use strict";define("vs/languages/css/common/cssTokenTypes",["require","exports"],function(e,t){t.TOKEN_SELECTOR="entity.name.selector",t.TOKEN_SELECTOR_TAG="entity.name.tag",t.TOKEN_PROPERTY="support.type.property-name",t.TOKEN_VALUE="support.property-value",t.TOKEN_AT_KEYWORD="keyword.control.at-rule"});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)return Reflect.decorate(e,t,n,o);switch(arguments.length){case 2:return e.reduceRight(function(e,t){return t&&t(e)||e},t);case 3:return e.reduceRight(function(e,o){return void(o&&o(t,n))},void 0);case 4:return e.reduceRight(function(e,o){return o&&o(t,n,e)||e},o)}},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/languages/css/common/css",["require","exports","vs/editor/common/modes/supports","vs/base/common/objects","vs/editor/common/modes","vs/platform/thread/common/threadService","vs/languages/css/common/cssTokenTypes","vs/editor/common/modes/abstractMode","vs/editor/common/modes/abstractState","vs/platform/instantiation/common/descriptors","vs/editor/common/modes/supports/onEnter","vs/platform/instantiation/common/instantiation","vs/platform/thread/common/thread"],function(e,t,n,o,r,i,s,c,a,u,p,l,d){t.cssTokenTypes=s,function(e){e[e.Selector=0]="Selector",e[e.Rule=1]="Rule",e[e.Value=2]="Value",e[e.ValuePostUrl=3]="ValuePostUrl",e[e.ValueInUrlFunction=4]="ValueInUrlFunction",e[e.Unit=5]="Unit",e[e.Meta=6]="Meta",e[e.MetaPostUrl=7]="MetaPostUrl",e[e.MetaInUrlFunction=8]="MetaInUrlFunction"}(t.States||(t.States={}));var f=t.States,k=/^-?-?([a-zA-Z]|(\\(([0-9a-fA-F]{1,6}\s?)|[^[0-9a-fA-F])))([\w\-]|(\\(([0-9a-fA-F]{1,6}\s?)|[^[0-9a-fA-F])))*/,m=function(e){function t(t,n,o,r,i,s){e.call(this,t),this.kind=n,this.inComment=o,this.quote=r,this.inMeta=i,this.metaBraceCount=s}return __extends(t,e),t.prototype.nextState=function(e,t){return this.kind=e,t},t.prototype.makeClone=function(){return new t(this.getMode(),this.kind,this.inComment,this.quote,this.inMeta,this.metaBraceCount)},t.prototype.equals=function(t){return e.prototype.equals.call(this,t)&&o.equals(this,t)},t.prototype.tokenizeInComment=function(e){return/\*\/$/.test(e.advanceUntilString("*/",!0))&&(this.inComment=!1),{type:"comment.css"}},t.prototype.tokenizeInString=function(e){for(var t,n=!1,o=this.quote;!e.eos();)if(t=e.next(),n)n=!1;else if("\\"===t)n=!0;else if(t===o){this.quote=null;break}return{type:"string.css"}},t.prototype.consumeIdent=function(e){return e.goBack(1),e.advanceIfRegExp2(k)?!0:(e.advance(1),!1)},t.prototype.tokenize=function(e){if(this.inComment)return this.tokenizeInComment(e);if(null!==this.quote)return this.tokenizeInString(e);if(e.skipWhitespace2())return{type:""};if(e.advanceIfString2("/*"))return this.inComment=!0,this.tokenizeInComment(e);if(e.advanceIfString2("'"))return this.quote="'",this.tokenizeInString(e);if(e.advanceIfString2('"'))return this.quote='"',this.tokenizeInString(e);var t=e.next();switch(this.kind){case f.ValuePostUrl:if("("===t)return this.nextState(f.ValueInUrlFunction,{type:"punctuation.parenthesis.css",bracket:r.Bracket.Open});this.kind=f.Value;break;case f.MetaPostUrl:if("("===t)return this.nextState(f.MetaInUrlFunction,{type:"punctuation.parenthesis.css",bracket:r.Bracket.Open});this.kind=f.Meta;break;case f.ValueInUrlFunction:case f.MetaInUrlFunction:if(")"!==t)return e.advanceIfRegExp2(/^[^\)]*/),{type:"string.css"};this.kind=this.kind===f.ValueInUrlFunction?f.Value:f.Meta}switch(this.kind){case f.Selector:return"{"===t?this.nextState(f.Rule,{type:"punctuation.bracket.css",bracket:r.Bracket.Open}):"("===t||")"===t?{type:"punctuation.parenthesis.css",bracket:"("===t?r.Bracket.Open:r.Bracket.Close}:"@"!==t||this.inMeta?"}"===t&&this.inMeta?(this.inMeta=!1,this.nextState(f.Selector,{type:"punctuation.bracket.css",bracket:r.Bracket.Close})):/[\*\(\)\[\]\+>=\~\|;]/.test(t)?{type:"punctuation.css"}:"#"===t?(e.advanceIfRegExp2(k),{type:s.TOKEN_SELECTOR+".id.css"}):"."===t?(e.advanceIfRegExp2(k),{type:s.TOKEN_SELECTOR+".class.css"}):(this.consumeIdent(e),{type:s.TOKEN_SELECTOR_TAG+".css"}):(e.advanceIfRegExp2(k),this.nextState(f.Meta,{type:s.TOKEN_AT_KEYWORD+".css"}));case f.Meta:if("{"===t){var n=f.Rule;return this.inMeta&&(n=f.Selector),this.nextState(n,{type:"punctuation.bracket.css",bracket:r.Bracket.Open})}return"("===t||")"===t?{type:"punctuation.parenthesis.css",bracket:"("===t?r.Bracket.Open:r.Bracket.Close}:";"===t?(0===this.metaBraceCount&&(this.inMeta=!1),this.nextState(f.Selector,{type:"punctuation.css"})):"u"!==t&&"U"!==t||!e.advanceIfStringCaseInsensitive2("rl")?/[\*\(\)\[\]\+>=\~\|]/.test(t)?{type:"punctuation.css"}:(this.inMeta=!0,this.consumeIdent(e),{type:s.TOKEN_VALUE+".css"}):(e.advanceIfStringCaseInsensitive2("-prefix"),this.nextState(f.MetaPostUrl,{type:s.TOKEN_VALUE+".css"}));case f.Rule:return"}"===t?this.nextState(f.Selector,{type:"punctuation.bracket.css",bracket:r.Bracket.Close}):":"===t?this.nextState(f.Value,{type:"punctuation.css"}):"("===t||")"===t?{type:"punctuation.parenthesis.css",bracket:"("===t?r.Bracket.Open:r.Bracket.Close}:(this.consumeIdent(e),{type:s.TOKEN_PROPERTY+".css"});case f.Value:if("}"===t)return this.nextState(f.Selector,{type:"punctuation.bracket.css",bracket:r.Bracket.Close});if(";"===t)return this.nextState(f.Rule,{type:"punctuation.css"});if(("u"===t||"U"===t)&&e.advanceIfStringCaseInsensitive2("rl"))return this.nextState(f.ValuePostUrl,{type:s.TOKEN_VALUE+".css"});if("("===t||")"===t)return{type:"punctuation.parenthesis.css",bracket:"("===t?r.Bracket.Open:r.Bracket.Close};if(","===t)return{type:"punctuation.css"};if("#"===t)return e.advanceIfRegExp2(/^[\w]*/),{type:s.TOKEN_VALUE+".hex.css"};if(/\d/.test(t)||/-|\+/.test(t)&&!e.eos()&&/\d/.test(e.peek()))return e.advanceIfRegExp2(/^[\d\.]*/),this.nextState(f.Unit,{type:s.TOKEN_VALUE+".numeric.css"});if("!"===t)return{type:s.TOKEN_VALUE+".keyword.css"};if(("i"===t||"I"===t)&&e.advanceIfStringCaseInsensitive2("mportant"))return{type:s.TOKEN_VALUE+".keyword.css"};if(this.consumeIdent(e))return{type:s.TOKEN_VALUE+".css"};break;case f.Unit:return e.goBack(1),e.advanceIfRegExp2(/^(em|ex|ch|rem|vw|vh|vm|cm|mm|in|px|pt|pc|deg|grad|rad|turn|s|ms|Hz|kHz|%)/)?{type:s.TOKEN_VALUE+".unit.css"}:(this.nextState(f.Value,null),this.tokenize(e))}return{type:""}},t}(a.AbstractState);t.State=m;var h=function(e){function t(t,o,r){var i=this;e.call(this,t,o,r),this.tokenizationSupport=new n.TokenizationSupport(this,{getInitialState:function(){return new m(i,f.Selector,!1,null,!1,0)}},!1,!1),this.electricCharacterSupport=new n.BracketElectricCharacterSupport(this,{brackets:[{tokenType:"punctuation.bracket.css",open:"{",close:"}",isElectric:!0}]}),this.extraInfoSupport=this,this.referenceSupport=new n.ReferenceSupport(this,{tokens:[s.TOKEN_PROPERTY+".css",s.TOKEN_VALUE+".css",s.TOKEN_SELECTOR_TAG+".css"],findReferences:function(e,t,n){return i.findReferences(e,t)}}),this.logicalSelectionSupport=this,this.outlineSupport=this,this.declarationSupport=new n.DeclarationSupport(this,{tokens:[s.TOKEN_VALUE+".css"],findDeclaration:function(e,t){return i.findDeclaration(e,t)}}),this.characterPairSupport=new n.CharacterPairSupport(this,{autoClosingPairs:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"},{open:'"',close:'"',notIn:["string"]},{open:"'",close:"'",notIn:["string"]}]}),this.suggestSupport=new n.SuggestSupport(this,{triggerCharacters:[" ",":"],excludeTokens:["comment.css","string.css"],suggest:function(e,t){return i.suggest(e,t)}}),this.onEnterSupport=new p.OnEnterSupport(this.getId(),{brackets:[{open:"(",close:")"},{open:"{",close:"}"},{open:"[",close:"]"}]}),this.quickFixSupport=this}return __extends(t,e),t.prototype._getWorkerDescriptor=function(){return u.createAsyncDescriptor2("vs/languages/css/common/cssWorker","CSSWorker")},t.prototype.findDeclaration=function(e,t){return this._worker(function(n){return n.findDeclaration(e,t)})},t.prototype.computeInfo=function(e,t){return this._worker(function(n){return n.computeInfo(e,t)})},t.prototype.findReferences=function(e,t){return this._worker(function(n){return n.findReferences(e,t)})},t.prototype.getRangesToPosition=function(e,t){return this._worker(function(n){return n.getRangesToPosition(e,t)})},t.prototype.getOutline=function(e){return this._worker(function(t){return t.getOutline(e)})},t.prototype.getCommentsConfiguration=function(){return{blockCommentStartToken:"/*",blockCommentEndToken:"*/"}},t.prototype.getWordDefinition=function(){return/(#?-?\d*\.\d\w*%?)|((::|[@#.!:])?[\w-?]+%?)|::|[@#.!:]/g},t.prototype.findColorDeclarations=function(e){return this._worker(function(t){return t.findColorDeclarations(e)})},t.prototype.getQuickFixes=function(e,t){return this._worker(function(n){return n.getQuickFixes(e,t)})},t.prototype.runQuickFixAction=function(e,t,n){return this._worker(function(o){return o.runQuickFixAction(e,t,n)})},t.$findDeclaration=i.OneWorkerAttr(t,t.prototype.findDeclaration),t.$computeInfo=i.OneWorkerAttr(t,t.prototype.computeInfo),t.$findReferences=i.OneWorkerAttr(t,t.prototype.findReferences),t.$getRangesToPosition=i.OneWorkerAttr(t,t.prototype.getRangesToPosition),t.$getOutline=i.OneWorkerAttr(t,t.prototype.getOutline),t.$findColorDeclarations=i.OneWorkerAttr(t,t.prototype.findColorDeclarations),t.getQuickFixes=i.OneWorkerAttr(t,t.prototype.getQuickFixes),t.runQuickFixAction=i.OneWorkerAttr(t,t.prototype.runQuickFixAction),t=__decorate([__param(1,l.IInstantiationService),__param(2,d.IThreadService)],t)}(c.AbstractMode);t.CSSMode=h});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,o){if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)return Reflect.decorate(e,t,n,o);switch(arguments.length){case 2:return e.reduceRight(function(e,t){return t&&t(e)||e},t);case 3:return e.reduceRight(function(e,o){return void(o&&o(t,n))},void 0);case 4:return e.reduceRight(function(e,o){return o&&o(t,n,e)||e},o)}},__param=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define("vs/languages/sass/common/sass",["require","exports","vs/editor/common/modes/monarch/monarch","vs/editor/common/modes/monarch/monarchCompile","vs/base/common/winjs.base","vs/editor/common/modes/supports","vs/languages/css/common/css","vs/platform/thread/common/threadService","vs/platform/instantiation/common/descriptors","vs/editor/common/services/modeService","vs/platform/instantiation/common/instantiation","vs/platform/thread/common/thread","vs/editor/common/services/modelService"],function(e,t,n,o,r,i,s,c,a,u,p,l,d){t.language={displayName:"Sass",name:"sass",wordDefinition:/(#?-?\d*\.\d\w*%?)|([$@#!.:]?[\w-?]+%?)|[$@#!.]/g,defaultToken:"",lineComment:"//",blockCommentStart:"/*",blockCommentEnd:"*/",ws:"[ 	\n\r\f]*",identifier:"-?-?([a-zA-Z]|(\\\\(([0-9a-fA-F]{1,6}\\s?)|[^[0-9a-fA-F])))([\\w\\-]|(\\\\(([0-9a-fA-F]{1,6}\\s?)|[^[0-9a-fA-F])))*",brackets:[{open:"{",close:"}",token:"punctuation.curly"},{open:"[",close:"]",token:"punctuation.bracket"},{open:"(",close:")",token:"punctuation.parenthesis"},{open:"<",close:">",token:"punctuation.angle"}],tokenizer:{root:[{include:"@selector"},["[@](charset|namespace)",{token:s.cssTokenTypes.TOKEN_AT_KEYWORD,next:"@declarationbody"}],["[@](function)",{token:s.cssTokenTypes.TOKEN_AT_KEYWORD,next:"@functiondeclaration"}],["[@](mixin)",{token:s.cssTokenTypes.TOKEN_AT_KEYWORD,next:"@mixindeclaration"}]],selector:[{include:"@comments"},{include:"@import"},{include:"@variabledeclaration"},{include:"@warndebug"},["[@](include)",{token:s.cssTokenTypes.TOKEN_AT_KEYWORD,next:"@includedeclaration"}],["[@](keyframes|-webkit-keyframes|-moz-keyframes|-o-keyframes)",{token:s.cssTokenTypes.TOKEN_AT_KEYWORD,next:"@keyframedeclaration"}],["[@](page|content|font-face|-moz-document)",{token:s.cssTokenTypes.TOKEN_AT_KEYWORD}],["url(\\-prefix)?\\(",{token:"support.function.name",bracket:"@open",next:"@urldeclaration"}],{include:"@controlstatement"},{include:"@selectorname"},["[&\\*]",s.cssTokenTypes.TOKEN_SELECTOR_TAG],["[>\\+,]","punctuation"],["\\[",{token:"punctuation.bracket",bracket:"@open",next:"@selectorattribute"}],["{",{token:"punctuation.curly",bracket:"@open",next:"@selectorbody"}]],selectorbody:[["[*_]?@identifier@ws:(?=(\\s|\\d|[^{;}]*[;}]))",s.cssTokenTypes.TOKEN_PROPERTY,"@rulevalue"],{include:"@selector"},["[@](extend)",{token:s.cssTokenTypes.TOKEN_AT_KEYWORD,next:"@extendbody"}],["[@](return)",{token:s.cssTokenTypes.TOKEN_AT_KEYWORD,next:"@declarationbody"}],["}",{token:"punctuation.curly",bracket:"@close",next:"@pop"}]],selectorname:[["#{",{token:"support.function.interpolation",bracket:"@open",next:"@variableinterpolation"}],["(\\.|#(?=[^{])|%|(@identifier)|:)+",s.cssTokenTypes.TOKEN_SELECTOR]],selectorattribute:[{include:"@term"},["]",{token:"punctuation.bracket",bracket:"@close",next:"@pop"}]],term:[{include:"@comments"},["url(\\-prefix)?\\(",{token:"support.function.name",bracket:"@open",next:"@urldeclaration"}],{include:"@functioninvocation"},{include:"@numbers"},{include:"@strings"},{include:"@variablereference"},["(and\\b|or\\b|not\\b)","keyword.operator"],{include:"@name"},["([<>=\\+\\-\\*\\/\\^\\|\\~,])","keyword.operator"],[",","punctuation"],["!default","literal"],["\\(",{token:"punctuation.parenthesis",bracket:"@open",next:"@parenthizedterm"}]],rulevalue:[{include:"@term"},["!important","literal"],[";","punctuation","@pop"],["{",{token:"punctuation.curly",bracket:"@open",switchTo:"@nestedproperty"}],["(?=})",{token:"",next:"@pop"}]],nestedproperty:[["[*_]?@identifier@ws:",s.cssTokenTypes.TOKEN_PROPERTY,"@rulevalue"],{include:"@comments"},["}",{token:"punctuation.curly",bracket:"@close",next:"@pop"}]],warndebug:[["[@](warn|debug)",{token:s.cssTokenTypes.TOKEN_AT_KEYWORD,next:"@declarationbody"}]],"import":[["[@](import)",{token:s.cssTokenTypes.TOKEN_AT_KEYWORD,next:"@declarationbody"}]],variabledeclaration:[["\\$@identifier@ws:","variable.decl","@declarationbody"]],urldeclaration:[{include:"@strings"},["[^)\r\n]+","string"],["\\)",{token:"support.function.name",bracket:"@close",next:"@pop"}]],parenthizedterm:[{include:"@term"},["\\)",{token:"punctuation.parenthesis",bracket:"@close",next:"@pop"}]],declarationbody:[{include:"@term"},[";","punctuation","@pop"],["(?=})",{token:"",next:"@pop"}]],extendbody:[{include:"@selectorname"},["!optional","literal"],[";","punctuation","@pop"],["(?=})",{token:"",next:"@pop"}]],variablereference:[["\\$@identifier","variable.ref"],["\\.\\.\\.","keyword.operator"],["#{",{token:"support.function.interpolation",bracket:"@open",next:"@variableinterpolation"}]],variableinterpolation:[{include:"@variablereference"},["}",{token:"support.function.interpolation",bracket:"@close",next:"@pop"}]],comments:[["\\/\\*","comment","@comment"],["\\/\\/+.*","comment"]],comment:[["\\*\\/","comment","@pop"],[".","comment"]],name:[["@identifier",s.cssTokenTypes.TOKEN_VALUE]],numbers:[["(\\d*\\.)?\\d+([eE][\\-+]?\\d+)?",{token:"constant.numeric",next:"@units"}],["#[0-9a-fA-F_]+(?!\\w)","constant.rgb-value"]],units:[["(em|ex|ch|rem|vw|vh|vm|cm|mm|in|px|pt|pc|deg|grad|rad|turn|s|ms|Hz|kHz|%)?","constant.numeric","@pop"]],functiondeclaration:[["@identifier@ws\\(",{token:"support.function.name",bracket:"@open",next:"@parameterdeclaration"}],["{",{token:"punctuation.curly",bracket:"@open",switchTo:"@functionbody"}]],mixindeclaration:[["@identifier@ws\\(",{token:"support.function.name",bracket:"@open",next:"@parameterdeclaration"}],["@identifier","support.function.name"],["{",{token:"punctuation.curly",bracket:"@open",switchTo:"@selectorbody"}]],parameterdeclaration:[["\\$@identifier@ws:",s.cssTokenTypes.TOKEN_PROPERTY],["\\.\\.\\.","keyword.operator"],[",","punctuation"],{include:"@term"},["\\)",{token:"support.function.name",bracket:"@close",next:"@pop"}]],includedeclaration:[{include:"@functioninvocation"},["@identifier","support.function.name"],[";","punctuation","@pop"],["(?=})",{token:"",next:"@pop"}],["{",{token:"punctuation.curly",bracket:"@open",switchTo:"@selectorbody"}]],keyframedeclaration:[["@identifier","support.function.name"],["{",{token:"punctuation.curly",bracket:"@open",switchTo:"@keyframebody"}]],keyframebody:[{include:"@term"},["{",{token:"punctuation.curly",bracket:"@open",next:"@selectorbody"}],["}",{token:"punctuation.curly",bracket:"@close",next:"@pop"}]],controlstatement:[["[@](if|else|for|while|each|media)",{token:"keyword.flow.control.at-rule",next:"@controlstatementdeclaration"}]],controlstatementdeclaration:[["(in|from|through|if|to)\\b",{token:"keyword.flow.control.at-rule"}],{include:"@term"},["{",{token:"punctuation.curly",bracket:"@open",switchTo:"@selectorbody"}]],functionbody:[["[@](return)",{token:s.cssTokenTypes.TOKEN_AT_KEYWORD}],{include:"@variabledeclaration"},{include:"@term"},{include:"@controlstatement"},[";","punctuation"],["}",{token:"punctuation.curly",bracket:"@close",next:"@pop"}]],functioninvocation:[["@identifier\\(",{token:"support.function.name",bracket:"@open",next:"@functionarguments"}]],functionarguments:[["\\$@identifier@ws:",s.cssTokenTypes.TOKEN_PROPERTY],["[,]","punctuation"],{include:"@term"},["\\)",{token:"support.function.name",bracket:"@close",next:"@pop"}]],strings:[['~?"',{token:"string.punctuation",bracket:"@open",next:"@stringenddoublequote"}],["~?'",{token:"string.punctuation",bracket:"@open",next:"@stringendquote"}]],stringenddoublequote:[["\\\\.","string"],['"',{token:"string.punctuation",next:"@pop",bracket:"@close"}],[".","string"]],stringendquote:[["\\\\.","string"],["'",{token:"string.punctuation",next:"@pop",bracket:"@close"}],[".","string"]]}};var f=function(e){function n(n,r,c,a,u){var p=this;e.call(this,n,o.compile(t.language),r,c,a,u),this.modeService=a,this.extraInfoSupport=this,this.referenceSupport=new i.ReferenceSupport(this,{tokens:[s.cssTokenTypes.TOKEN_PROPERTY+".sass",s.cssTokenTypes.TOKEN_VALUE+".sass","variable.decl.sass","variable.ref.sass","support.function.name.sass",s.cssTokenTypes.TOKEN_PROPERTY+".sass",s.cssTokenTypes.TOKEN_SELECTOR+".sass"],findReferences:function(e,t,n){return p.findReferences(e,t)}}),this.logicalSelectionSupport=this,this.declarationSupport=new i.DeclarationSupport(this,{tokens:["variable.decl.sass","variable.ref.sass","support.function.name.sass",s.cssTokenTypes.TOKEN_PROPERTY+".sass",s.cssTokenTypes.TOKEN_SELECTOR+".sass"],findDeclaration:function(e,t){return p.findDeclaration(e,t)}}),this.outlineSupport=this,this.suggestSupport=new i.SuggestSupport(this,{triggerCharacters:[],excludeTokens:["comment.sass","string.sass"],suggest:function(e,t){return p.suggest(e,t)}})}return __extends(n,e),n.prototype._getWorkerDescriptor=function(){return a.createAsyncDescriptor2("vs/languages/sass/common/sassWorker","SassWorker")},n.prototype._worker=function(t){var n=this;return this.modeService.getOrCreateMode("css").then(function(e){return e._worker(function(e){return r.TPromise.as(!0)})}).then(function(){return e.prototype._worker.call(n,t)})},n.prototype.findReferences=function(e,t){return this._worker(function(n){return n.findReferences(e,t)})},n.prototype.getRangesToPosition=function(e,t){return this._worker(function(n){return n.getRangesToPosition(e,t)})},n.prototype.computeInfo=function(e,t){return this._worker(function(n){return n.computeInfo(e,t)})},n.prototype.getOutline=function(e){return this._worker(function(t){return t.getOutline(e)})},n.prototype.findDeclaration=function(e,t){return this._worker(function(n){return n.findDeclaration(e,t)})},n.prototype.findColorDeclarations=function(e){return this._worker(function(t){return t.findColorDeclarations(e)})},n.$findReferences=c.OneWorkerAttr(n,n.prototype.findReferences),n.$getRangesToPosition=c.OneWorkerAttr(n,n.prototype.getRangesToPosition),n.$computeInfo=c.OneWorkerAttr(n,n.prototype.computeInfo),n.$getOutline=c.OneWorkerAttr(n,n.prototype.getOutline),n.$findDeclaration=c.OneWorkerAttr(n,n.prototype.findDeclaration),n.$findColorDeclarations=c.OneWorkerAttr(n,n.prototype.findColorDeclarations),n=__decorate([__param(1,p.IInstantiationService),__param(2,l.IThreadService),__param(3,u.IModeService),__param(4,d.IModelService)],n)}(n.MonarchMode);t.SASSMode=f});